@import url("https://fonts.googleapis.com/css2?family=Playwrite+IE:wght@100..400&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Sekuya&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Exo:ital,wght@0,100..900;1,100..900&display=swap");

.ignite,
.elfbar,
.oxbar,
.lost.mary,
.nikbar,
.geek.bar {
  text-transform: uppercase;
}

.ignite {
  font-family: "Ignite", sans-serif;
}

.elfbar {
  font-family: "Elfbar", sans-serif;
}

.oxbar {
  font-family: "Oxbar", sans-serif;
}

.lost.mary {
  font-family: "Lost", sans-serif;
  font-size: 1.6rem;
}

.geek.bar {
  font-family: "Rubik", sans-serif;
  font-weight: bold;
}

.nikbar {
  font-family: "Nikbar", sans-serif;
  letter-spacing: 0.2rem;
  font-weight: bold;
}

.theblacksheep {
  font-family: "Bebas Neue", sans-serif;
}

.catalagoSection .blacksheepPalavra {
  font-weight: bold;
}

.catalagoSection .first-word {
  font-family: "Bebas Neue";
  color: #f5b3c5;
  text-shadow: 3px 3px 0 #357899;
  font-size: 2.25rem;
}

.catalagoSection .second-word {
  font-family: "Playwrite IE", cursive;
  font-size: 1.5rem;
  color: #3a7d9e;
  font-weight: bold;
}

.lifepod {
  font-family: "Exo", sans-serif;
  font-optical-sizing: auto;
  font-weight: bold;
  font-style: normal;
}

.vape {
  font-family: "Sekuya", system-ui;
  font-weight: 400;
  font-style: normal;
}

.outros {
  font-weight: bold;
}

footer {
  height: 100%;
  flex: 1;
  background-color: var(--azul-7);
}

.divider {
  height: 1px;
  width: 100%;
  background-color: var(--azul-5);
}

body {
  background-color: #010101;
  color: white;
}

header {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.logo_nav {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 8px;
  padding-bottom: 8px;
  background: 010101;
}

.nav-p {
  font-family: "Bebas Neue", sans-serif;
  margin-left: 3%;
  margin-top: 0.8%;
  margin-bottom: 0.8%;
  letter-spacing: 0.15rem;
}

.nav {
  background-color: #0d0d0d;

  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
}

.nav > p {
  color: #0084d6;
}

.nav_marcas {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
}

.nav_marcas .first-word,
.nav_marcas .second-word {
  text-shadow: none;
  font-size: 1.35rem;
  font-family: "Bebas Neue", sans-serif;
  color: white;
  font-weight: normal;
}

.nav_marcas .blacksheepExcluida {
  display: none;
}

.nav_marcas a {
  flex: 1 0 33%;
  position: relative;
  text-align: center;
  padding: 10px 3%;
  transition: all 500ms ease-in-out;
  text-transform: uppercase;
  font-size: 1.35rem;
  margin-top: 0.75%;
  margin-bottom: 0.75%;

  font-family: "Bebas Neue", sans-serif;
  letter-spacing: 0.2rem;
  color: rgb(255, 255, 255);
  text-decoration: none;
}

.nav_marcas a:hover {
  color: #546990;
}

header .banner {
  height: 544px;
  background-image: url("/assets/img/banner_luzes_azul.png");
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  gap: 24px;
  justify-content: center;
  align-items: center;
}

header .banner .banner_tag {
  border: 1px solid rgb(0, 85, 255, 0.3);
  background: rgb(0, 85, 255, 0.2);
  color: #0055ff;
  padding: 8px 20px;
  border-radius: 18px;
  text-align: center;
  width: fit-content;
}

header .banner .banner_title {
  display: flex;
  flex-direction: column;
  align-items: center;
}

header .banner .banner_title p {
  font-size: 4.5rem;
  font-weight: 900;
}

header .banner .banner_title p:nth-child(2) {
  background: -webkit-linear-gradient(left, #0055ff, #ffffff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: center;
}

.banner_description {
  text-align: center;
  color: #d1d5db;
  font-size: 1.25rem;
  max-width: 922px;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 50px;
  padding-bottom: 50px;
}

@media (max-width: 880px) {
  .nav > p {
    display: none;
  }

  header .banner {
    padding: 1.5rem;
  }

  header .banner .banner_title p {
    font-size: 2rem;
    font-weight: 900;
  }

  header .banner .banner_title p:nth-child(2) {
    background: -webkit-linear-gradient(left, #0055ff, #ffffff);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

  .banner_description {
    font-size: 0.813rem;
    max-width: 500px;
  }
}

@media (min-width: 355px) {
  .nav_marcas a:not(:nth-child(3n)):after {
    content: "|";
    position: absolute;
    right: 0;
  }

  .nav_marcas a:last-child:after {
    content: "";
    position: absolute;
    right: 0;
  }
}

@media (min-width: 250px) and (max-width: 355px) {
  .nav_marcas a:not(:nth-child(2n)):after {
    content: "|";
    position: absolute;
    right: 0;
  }
  .nav_marcas a:last-child:after {
    content: "";
    position: absolute;
    right: 0;
  }
}

/* ===================================== Hero ===================================== */
.cadarpio_hero {
  background-image: url("/assets/img/fumaca_azul.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  max-width: 1376px;
  width: 95%;
  height: fit-content;
  padding: 20px 64px;
  border-radius: 24px;
}

.hero_img_wrapper {
  width: 404px;
  height: 370px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero_img_wrapper img {
  width: 90%;
  height: 90%;
  object-fit: contain;
}

.cadarpio_hero_details {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.cadarpio_hero_title {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.cadarpio_hero_title .blue {
  color: #3676f5;
  font-weight: 800;
}

.cadarpio_hero_title .title {
  color: #ffffff;
  font-weight: 700;
  font-size: 2.75rem;
}

.cadarpio_hero_description {
  color: #cbd5e1;
  font-size: 1.125rem;
}

.cadarpio_hero_details a {
  background: #22c553;
  border-radius: 24px;
  display: flex;
  flex-direction: row;
  gap: 16px;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  height: 48px;
  width: 197px;
}

.cadarpio_hero_details a p {
  font-weight: 800;
  color: white;
}

.ignite,
.elfbar,
.oxbar,
.lost.mary,
.nikbar,
.geek.bar {
  text-transform: uppercase;
}

@media (max-width: 880px) {
  .cadarpio_hero {
    flex-direction: column-reverse;
    padding-top: 20px;
    padding-bottom: 50px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .hero_img_wrapper {
    width: 100%;
  }
}

/* ===================================== Carousel ===================================== */

.catalagoSection {
  display: flex;
  flex-direction: column;
  gap: 80px;
  padding: 0px 100px;
  padding-top: 80px;
}

.catalagoSection > header {
  justify-content: start;
}

.catalagoSection > header > p {
  font-size: 2.25rem;
  color: #e5e7eb;
}

.card {
  background: #121212;
  border: 1px solid #1f2937;
  align-items: start;
  padding: 0;
  overflow: hidden;
  width: 244px;
}

.cardDescr {
  color: #6b7280;
  font-size: 0.8rem;
}

.cardImg {
  height: auto;
  width: 244px;
  border: none;
  background: linear-gradient(#111827, #121212);
  /* background: #111827 ,#121212; top to down*/
}

.cardImg img {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

.cardText {
  align-items: start;
  padding: 0 20px 28px 20px;
  word-wrap: break-word;
}

.cardText > .cardProdutoPrecos {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.cardProdutoPreco {
  color: rgb(191, 219, 254);
}

.cardText > div > span.new {
  background: none;
}

@media (max-width: 1000px) {
  .hero_img_wrapper {
    width: 65%;
    height: 95%;
    margin-top: 5%;
    margin-bottom: 5%;
    display: flex;
    justify-content: right;
    align-items: center;
    margin-left: 15%;
  }

  .nav-p {
    font-size: 0.8rem;
    margin-left: 3%;
  }

  .hero_img_wrapper img {
    width: 90%;
    height: 90%;
    object-fit: contain;
  }

  .cadarpio_hero_title .title {
    font-size: 1.75rem;
  }
  .nav_marcas a {
    font-size: 1rem;
  }
  .catalagoSection {
    padding: 0 16px;
    padding-bottom: 30px;
  }
  .nav_marcas .first-word,
  .nav_marcas .second-word {
    font-size: 1rem;
  }
}
